@import url("https://fonts.googleapis.com/css2?family=Fredoka:wght@500&display=swap");
body {
  font-family: "Fredoka", sans-serif;
  color: #222222;
}
$primary: #04bcf2;
$secondary: #7350f2;
$white: #fff;
$gray: #9b9b9b;

body {
  margin: 0;
}

thead {
  background-color: $primary;
  height: 50px;
}

th,
td {
  max-width: 16%;
  min-width: 100px;
  padding: 10px;
}
table {
  border-collapse: collapse;
}

#myModal,
#changePass {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close,
.closepass {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus,
.closepass:hover,
.closepass:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
.customerInfo {
  width: 20%;
  margin-left: 1%;
  background-color: #fff;
  padding: 3%;
  height: 100vh;
}
.touctouc {
  display: flex;
  min-height: 100vh;
}
.espaceClient {
  width: 100vw;
}

.text-center {
  background-color: #dbe3ea;
  padding: 5%;
  height: 100vh;
}
.btn-5 {
  width: 200px;
  height: 50px;
  line-height: 42px;
  padding: 0;
  border: none;
  background: $primary;
  border-radius: 5px;
  font-family: "Fredoka", sans-serif;
  color: #222222;
  margin-bottom: 20px;
}
.btn-5:hover {
  color: $primary;
  background: transparent;
  box-shadow: none;
  border: 2px solid #00bbf2;
}

.form__group {
  position: relative;
  padding: 15px 0 0;
  margin-top: 10px;
  width: 50%;
}

.form__field {
  font-family: inherit;
  width: 100%;
  border: 0;
  border-bottom: 2px solid $gray;
  outline: 0;
  font-size: 1.3rem;
  color: #222222;
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;

  &::placeholder {
    color: transparent;
  }

  &:placeholder-shown ~ .form__label {
    font-size: 1.3rem;
    cursor: text;
    top: 20px;
  }
}
h3 {
  font-size: 1.5em;
}
h1 {
  font-size: 2em;
}
.form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: $gray;
}

.form__field:focus {
  ~ .form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: $primary;
    font-weight: 700;
  }
  padding-bottom: 6px;
  font-weight: 700;
  border-width: 3px;
  border-image: linear-gradient(to right, $primary, $secondary);
  border-image-slice: 1;
}
/* reset input */
.form__field {
  &:required,
  &:invalid {
    box-shadow: none;
  }
}
.titre {
  display: flex;
  justify-content: space-evenly;
}
img {
  width: 150px;
  height: 150px;
}
.rdv {
  background-color: #fff;
  margin: 5%;
  padding: 5%;
  box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.57);
  border-radius: 10px;
}
a {
  text-decoration: none;
  color: #04bcf2;
}
a:hover {
  color: #222222;
  border-bottom: 2px solid #04bcf2;
}
